%define pkgmajver %(echo %version | cut -d. -f1-2)
%define pkgminver %(echo %version | cut -d. -f3)
Name:          webalizer
Version:       2.23.05
Release:       1mamba
Summary:       A fast, free web server log file analysis program.
Group:         Applications/Web
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://webalizer.miscellaneousmirror.org/
Source:        http://archive.mgm51.com/mirrors/webalizer-files/webalizer-%{pkgmajver}-%{pkgminver}-src.tar.bz2
Source1:       webalizer-conf
Source2:       webalizer-crond
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: apache-devel
BuildRequires: glibc-devel
BuildRequires: libdb47-devel
BuildRequires: libgd-devel
BuildRequires: libpng-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
The Webalizer is a fast, free web server log file analysis program.
It produces highly detailed, easily configurable usage reports in HTML format, for viewing with a standard web browser.

%prep
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%setup -q -n webalizer-%{pkgmajver}-%{pkgminver}

%build

./configure \
   --bindir=%{_bindir} \
   --mandir=%{_mandir}/man1 \
   --sysconfdir=%{_sysconfdir} \
   --with-etcdir=%{_sysconfdir}/httpd \
   --with-languare=italian \
   --enable-dns \
   --with-dblib=/usr/lib/ \
   --with-db=/usr/include

make

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_sysconfdir}/{httpd,cron.daily}
mkdir -p %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}/var/www/html/webalizer
make install BINDIR=%{buildroot}%{_bindir} \
MANDIR=%{buildroot}%{_mandir}/man1 \
ETCDIR=%{buildroot}%{_sysconfdir}/httpd
cp %{SOURCE1} %{buildroot}%{_sysconfdir}/httpd/webalizer.conf
cp %{SOURCE2} %{buildroot}%{_sysconfdir}/cron.daily/webalizer

rm %{buildroot}%{_sysconfdir}/httpd/webalizer.conf.sample
rm %{buildroot}%{_bindir}/webazolver
ln -s webalizer %{buildroot}%{_bindir}/webazolver

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/wcmgr
%{_bindir}/webazolver
%{_bindir}/webalizer
%{_mandir}/man1/*
%config(noreplace) %{_sysconfdir}/httpd/webalizer.conf
%config(noreplace) %attr(0700,root,root) %{_sysconfdir}/cron.daily/webalizer
%dir %{_localstatedir}/www/html/webalizer

%changelog
* Tue Apr 10 2012 Automatic Build System <autodist@mambasoft.it> 2.23.05-1mamba
- update to 2.23.05

* Wed Jun 10 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.21.02-1mamba
- update to 2.21.02

* Fri Oct 10 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.20.01-1mamba
- automatic update by autodist

* Wed Aug 08 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.01-5mamba
- specify etcdir in configure

* Fri Jun 29 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.01-4mamba
- added webazolver symlink

* Mon Jun 14 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.01-3qilnx
- rebuild with libdb4

* Sat Feb 21 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.01-2qilnx
- rebuild with enable-dns option

* Wed Jun 11 2003 Silvan Calarco <silvan.calarco@qinet.it> 2.01-1qilnx
- first build
